package com.xkl.cdl.module.splash

import android.os.Bundle
import android.os.Handler
import android.os.Looper
import android.os.Message
import androidx.databinding.ObservableField
import com.suliang.common.base.activity.BaseActivity
import com.xkl.cdl.databinding.ActivitySplashBinding

class SplashActivity : BaseActivity<ActivitySplashBinding>() {

    val textvalue = ObservableField<String>()

    private val handler = object : Handler(Looper.getMainLooper()){
        override fun handleMessage(msg: Message) {
            super.handleMessage(msg)
            binding.text.text = textvalue.get()
        }
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        if(!isTaskRoot){
            finish()
            return
        }
        super.onCreate(savedInstanceState)
    }
var count = 1

    override fun initActivity(savedInstanceState: Bundle?) {

        val x = Tvalue(textvalue)
        binding.name = x

        handler.postDelayed(object : Runnable{
            override fun run() {
              count ++
              textvalue.set("$count")
                handler.postDelayed(this,1000)
            }
        },1000)

    }
}
data class Tvalue(val value : ObservableField<String>)